### Virtual Method

# Nautilus FileInfo add_string_attribute

#### Declaration [src]

    void
    add_string_attribute (
      NautilusFileInfo* file_info,
      const char* attribute_name,
      const char* value
    )

#### Description [src]

Sets the specified string file attribute value. See `nautilus_file_info_add_string_attribute()` for details.

#### Parameters

`attribute_name`

  Type: `const char*`

  The name of an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The name of an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.